FACEDETECT(1)

NAME
facedetect - simple face detector for batch processing

SYNOPSIS
facedetect [-h] [--biggest] [--best] [-c] [-q] [-o OUTPUT] [-d] file

DESCRIPTION
Facedetect is a simple face detector for batch processing. It answers the basic question: "Is there a face in this image?" and gives back either an exit code or the coordinates of each detected face in the standard output.

The aim is to provide a basic command-line interface that's consistent and easy to use with software such as ImageMagick, while progressively improving the detection algorithm over time.

facedetect is used in software such as fgallery to improve the thumbnail cutting region, so that faces are always centered.

OPTIONS

  positional arguments:

file
    Input image file

  optional arguments:

-h, --help
    show this help message and exit

--biggest
    Extract only the biggest face

--best
    Extract only the best matching face

-c, --center
    Print only the center coordinates

-q, --query
    Query only (exit 0: face detected, 2: no detection)

-o OUTPUT, --output OUTPUT
    Image output file

-d, --debug
    Add debugging metrics in the image output file

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.